Subject: Re: [PATCH ethtool-next 08/14] cmis: Enable JSON output support in CMIS modules

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Jan 2025 08:24:35 -0800

On Thu, 30 Jan 2025 12:38:56 +0000 Danielle Ratson wrote:
> > > Yes, the unit is implied by the key is hardcoded. Same as for the
> > > regular output, it should give the costumer idea about the scale.
> > > There are also temperature fields that could be either F or C degrees.
> > > So overall , the units fields should align all the fields that implies
> > > some sort of scale.  
> > 
> > Some sort of a schema would be a better place to document the unit of the
> > fields, IMO.  
> 
> So should the units fields be removed entirely?  And only be
> documented in the json schema file?

Yes, more than happy to hear from others but a schema file would
be my first choice. Short of that as long as the unit is the same
as in the plain text output there should also not be any ambiguity.